Subject: Re: bug#56582: Installer does not detect or allow detection of other bootable partitions

From: Julien Lepiller <[email-masked]>
Date: Sat, 16 Jul 2022 12:31:18 +0200

If anything, you also need to chainload to boot on haiku, which is free software. So no reason not to implement it.

Le 16 juillet 2022 11:59:29 GMT+02:00, Josselin Poiret <[email-masked]> a écrit :
>Hello both of you,
>
>Julien Lepiller <[email-masked]> writes:
>> Of course this is only a workaround I'm proposing, we should fix the installer to detect other OSs.
>Just adding that we don't have any Guix bootloader entry field to
>chainload into another bootloader, needed for some non-free system :)
>this would need to be added as well.
>
>I personally don't mind, and use my UEFI boot menu instead if I want to
>boot into said non-free OS.
>
>Best,
>-- 
>Josselin Poiret